package com.xx.merchanthbh.activity.adapter;

import static com.xx.merchanthbh.utils.RetrofitClient.baseImgUrl;

import android.content.Context;
import android.util.Log;

import com.bumptech.glide.Glide;
import com.bumptech.glide.load.resource.bitmap.RoundedCorners;
import com.bumptech.glide.request.RequestOptions;
import com.xx.merchanthbh.R;
import com.xx.merchanthbh.data.http.respons.OrderBean;
import com.xx.merchanthbh.databinding.ItemOrderUnitBinding;
import com.xx.xxviewlibrary.base.xxBaseRecyclerViewAdapter;

import java.util.List;

import me.jessyan.autosize.utils.AutoSizeUtils;

public class OrderUnitAdapter extends xxBaseRecyclerViewAdapter<ItemOrderUnitBinding, OrderBean.CommodityLists> {


    public OrderUnitAdapter(Context context) {
        super(context);
    }

    @Override
    public int initLayout() {
        return R.layout.item_order_unit;
    }

    @Override
    protected void covert(ItemOrderUnitBinding dataBind, OrderBean.CommodityLists data, int position) {
        //   将接口调出来的布局遍历上去
        dataBind.setCommodityLists(data);
        RequestOptions options = new RequestOptions()
                .bitmapTransform(new RoundedCorners(AutoSizeUtils.dp2px(mContext, 12)));
        if (data.getCommodityPictureList()!=null && data.getCommodityPictureList().size()>0)
        {
            Glide.with(mContext).asBitmap()
                    .apply(options).load(baseImgUrl+data.getCommodityPictureList().get(0).getFilePath()).into(dataBind.ivIdbSelect);
        }


    }

}
