package com.xx.merchanthbh.activity.adapter;

import android.content.Context;
import android.view.View;

import com.xx.merchanthbh.R;
import com.xx.merchanthbh.data.http.respons.AssistantInformationBean;
import com.xx.merchanthbh.data.http.respons.MerchantPointBean;
import com.xx.merchanthbh.databinding.ItemAssistantInformationBinding;
import com.xx.merchanthbh.databinding.ItemStorePointsBinding;
import com.xx.xxviewlibrary.base.xxBaseRecyclerViewAdapter;

public class StorePointAdapter extends xxBaseRecyclerViewAdapter<ItemStorePointsBinding, MerchantPointBean> {

    public StorePointAdapter(Context context) {
        super(context);
    }

    @Override
    public int initLayout() {
        return R.layout.item_store_points;
    }

    @Override
    protected void covert(ItemStorePointsBinding dataBind, MerchantPointBean data, int position) {
        //   将接口调出来的布局遍历上去
        dataBind.setMerchantPointBean(data);

        if (position+1>=mList.size())
        {
            dataBind.vLine.setVisibility(View.GONE);
        }else {
            dataBind.vLine.setVisibility(View.VISIBLE);
        }
    }
}
