package com.xx.merchanthbh.data.http.requst

import com.xx.merchanthbh.data.http.BaseRespons
import com.xx.merchanthbh.data.http.respons.AppealListBean
import com.xx.merchanthbh.data.http.respons.MerchantBean
import com.xx.merchanthbh.data.local.LocalData
import io.reactivex.rxjava3.core.Observable
import me.goldze.mvvmhabit.http.ApiParams
import me.goldze.mvvmhabit.http.BasePageResponse

class AppealListRequest:BaseRespons() {
    var  merchantInfo:MerchantBean?=LocalData.getMerchant()


    /**
     * 获取诉求列表
     */
     fun getAppealList(appealStatus:Array<String>,page:Int): Observable<BasePageResponse<AppealListBean>>
    {
        return apiService.postAppealList(ApiParams<AppealListBody>().setParams(AppealListBody(appealStatus,merchantInfo?.businessId!!)),10,page)
    }



    data class AppealListBody(var appealStatusList:Array<String> ,var merchantId:String)
}