package com.xx.merchanthbh.data.http.requst

import android.graphics.pdf.PdfDocument.Page
import com.xx.merchanthbh.data.http.BaseRespons
import com.xx.merchanthbh.data.http.requst.body.MerchantMsgbody
import com.xx.merchanthbh.data.http.respons.AssistantInformationBean
import com.xx.merchanthbh.data.http.respons.OrderBean
import io.reactivex.rxjava3.core.Observable
import me.goldze.mvvmhabit.http.ApiParams
import me.goldze.mvvmhabit.http.BasePageResponse
import me.goldze.mvvmhabit.http.BaseResponse

class AssistantManagementRequest : BaseRespons()  {
    /**
     * 加载店员列表
     * 获取搜索关键词
     */
    fun getAssistantList(searchWord: String,page:Int): Observable<BasePageResponse<AssistantInformationBean>> {
        return apiService.getAssistantList(searchWord,page)
    }


    /**
     * 删除店员 根据ID
     */
    fun deleteAssistant(id:String):Observable<BaseResponse<Boolean>>
    {
        return apiService.deleteAssistant(id)
    }


}