package com.xx.merchanthbh.data.http.requst

import com.xx.merchanthbh.data.http.BaseRespons
import com.xx.merchanthbh.data.local.LocalData
import io.reactivex.rxjava3.core.Observable
import me.goldze.mvvmhabit.http.ApiParams
import me.goldze.mvvmhabit.http.BaseResponse

class ForgetPwdRequest : BaseRespons() {
    /**
     * 获取验证码
     */
    fun getCode(phone: String): Observable<BaseResponse<String>> {
        return apiService.getCode(phone);
    }

    /**
     * 忘记密码
     */
    fun ForegetPwd(
        phone: String,
        password: String,
        code: String
    ): Observable<BaseResponse<String>> {

        return apiService.ForegetPwd(
            ApiParams<ForgetPwdRequestBody>().setParams(
                ForgetPwdRequestBody(
                    phone, password, code,
                    "02"
                )
            )
        )
    }


    /**
     * 忘记密码入参
     *
     */
    class ForgetPwdRequestBody(
        /*入参顺序一定要对!!!!!!!!!!!!!!!!*/
        /*手机号或用户名*/
        var phone: String,
        /*密码*/
        var password: String,
        /*验证码*/
        var code: String,
        /*用户类型:01-企业用户,13-消费者,02-商户用户,10-系统用户*/
        var userType: String
    )


}