package com.xx.merchanthbh.data.http.requst

import com.xx.merchanthbh.data.http.respons.UserInfoBean
import com.xx.merchanthbh.data.http.BaseRespons
import com.xx.xxviewlibrary.model.VersionBean
import com.xx.xxviewlibrary.model.VersionBody
import io.reactivex.rxjava3.core.Observable
import me.goldze.mvvmhabit.http.ApiParams
import me.goldze.mvvmhabit.http.BaseResponse

class LoginRequest: BaseRespons() {
    /**
     * 强制更新
     */
    fun checkVersion(): Observable<BaseResponse<VersionBean>> {
        return apiService.getLineVersion(
            ApiParams<VersionBody>().setParams(
                VersionBody("2", "2")
            )
        )
    }
    /**
     * 登陆
     */
    fun Login(user:String, pwd:String ): Observable<BaseResponse<String>>
    {
        return apiService.Login(ApiParams<LoginRequestBody>().setParams(LoginRequestBody(user,pwd,"02")))
    }

    /**
     * 获取用户信息
     */
    fun getUserInfo(): Observable<BaseResponse<UserInfoBean>>
    {
        return apiService.getUserInfo()
    }



    /**
     * 登陆入参
     * userType : 10 系统用户，01 企业用户，02商户用户，13消费者用户
     */
    class LoginRequestBody(var phone: String, var password: String,var userType:String  )


    /**
     * 获取协议内容
     */
    fun getProtocols(): Observable<BaseResponse<List<String>>>
    {

        return apiService.getProtocols(ApiParams<Array<String>>().setParams(arrayOf("6","7","13","9","10")))
    }



}