package com.xx.merchanthbh.data.http.requst

import com.xx.merchanthbh.data.http.BaseRespons
import io.reactivex.rxjava3.core.Observable
import me.goldze.mvvmhabit.http.ApiParams
import me.goldze.mvvmhabit.http.BaseResponse

class SetPwdRequest : BaseRespons() {


    /**
     * 设置密码
     */
    fun SetPwd(
        password: String
    ): Observable<BaseResponse<String>> {

        return apiService.SetPwd(
            ApiParams<SetPwdRequestBody>().setParams(
                SetPwdRequestBody(
                    password,
                    "01"
                )
            )
        )
    }


    /**
     * 设置密码入参
     *
     */
    class SetPwdRequestBody(
        /*入参顺序一定要对!!!!!!!!!!!!!!!!*/
        /*密码*/
        var password: String,
        /*用户类型:01-企业用户,13-消费者,02-商户用户,10-系统用户*/
        var userType: String
    )


}