package com.xx.merchanthbh.data.http.respons

import android.text.SpannableStringBuilder
import com.xx.merchanthbh.data.staticdata.StaticData
import com.xx.xxviewlibrary.utils.priceSTrUtils
import java.lang.Exception

data class BillDetailBean(
    var bankOrderNo: String, //订单编号
    var buyerCashPayAmt: String,//付款金额
    var buyerUsername: String,//付款账号(银联的付款账号)
    var companyName: String,//公司名称

    var createTime: String,//创建时间

    var meterAddress: String,//电表号

    var merOrderId: String,//交易识别码
    var payTime: String,//付款时间
    var payType: String,//支付方式:ALIPAY-支付宝,WECHAT-微信,UNION_PAY-银联云闪付
    var status: String,//订单状态 0-待支付，1-已关闭，2-已完成，3-充值中
    var userPhone: String,//缴费账号（商户的手机号）
) {

    fun getPayWayStr(): String?
    {
        return StaticData.PayWay.get(payType)
    }


    fun reAmtStr(): SpannableStringBuilder
    {
        var d:Double=0.0
        try {
            d=buyerCashPayAmt.toDouble()
        }catch (e:Exception)
        {

        }

       return priceSTrUtils(d)
    }

}