package com.xx.merchanthbh.data.http.respons

class OrderDetailBean(
    /*couponList Array 优惠金额*/
    var couponList: List<CouponLists>,
    /*actualPayment Double 实付款*/
    var actualPayment: Double,
    /*createTime string 创建时间*/
    var createTime: String,
    /*updateTime string 付款时间*/
    var updateTime: String,
    /*updateBy string 收银员*/
    var updateBy: String,
    /*orderNumber string 订单编号*/
    var orderNumber: String,
    /*orderStatus Int 订单状态位  订单状态 1-待付款 2-已完成 3-已关闭:1-待付款,2-已完成,3-已关闭*/
    var orderStatus: Int,
    /*member string 会员信息*/
    var member: MemberBean?,
    /*merchant string 商铺信息*/
    var merchant: OrderDetailUnitBean?,
    /*orderAmount Number 订金金额*/
    var orderAmount: Double,
    /*quantity Int 商品库存数量*/
    var quantity:Int,
    /*商品信息*/
    var commodityList: List<CommodityLists>,
    /*商户logo图片*/
    var companyLogoFile:CompanyLogoFileBean?,

    var waitPayment:Double?,//待付金额


) {
    /*商品信息*/
    data class CommodityLists(
        /*商品名称*/
        var commodityName: String,
        /*商品品类*/
        var commodityCategory: String,
        /*商品价格*/
        var price: Double,
        /*购买数量*/
        var commodityQuantity: Int,
        /*商品图片信息*/
        var commodityPictureList: List<commodityPictureLists>,

        )

    /*商品图片信息*/
    data class commodityPictureLists(
        /*商品路径*/
        var filePath: String,
    )

    /*优惠金额*/
    data class CouponLists(
        /*优惠金额*/
        var discountAmount: Double,
        /*赠品*/
        var giftName: String,

        //优惠券类型 1-满减优惠券 2-满赠优惠券
        var couponType:String ,

        )
}