package com.xx.merchanthbh.data.http.respons

import com.xx.merchanthbh.data.http.requst.body.BrankBean

class ProductBean(
    var businessId: String,
    var commodityName: String,
    var commodityPrice: Double,
    var detailImagesList: MutableList<Filebean>,
    var commodityCode: String,//商品编号
    var fileList: MutableList<Filebean>,// 商品图片
    var categoryName: String,//分类名称
    var commodityDescriptionText: String,//商品描述
    var status: String,//商品状态  1-待提交 2-待审核 3-已上架 4-未上架 5-已驳回
    var brandName: String, //商品品牌
    var brandAuthorization: BrankBean? = null,
    var categoryNameStr: String? = "",
    var categoryId: String = "",
    var recentDeactivatedLog: RecentRejectionLogBean? = null,
    var recentRejectionLogList: List<RecentRejectionBhLogBean>

) {
}

data class RecentRejectionLogBean(/*下架原因*/var mark: String,
                                  /*操作人*/var operator: String
)

data class RecentRejectionBhLogBean(/*下架原因*/var mark: String,
                                    /*操作说明*/var operationStr: String
)