package com.xx.merchanthbh.data.http.respons

import android.util.Log
import androidx.databinding.Observable
import androidx.databinding.ObservableField
import androidx.lifecycle.MutableLiveData

/**
 * 商品列表数据
 * status :1-待提交 2-待审核 3-已上架 4-未上架 5-已驳回
 */
class ProductForOrderBean(businessId:String, commodityName:String,  commodityPrice:Double, commodityPictureFile:Filebean, status:String, var selfPrice:MutableLiveData<String> = MutableLiveData("")):
    ProductListBean(businessId,commodityName,commodityPrice,commodityPictureFile,status,null,) {

         lateinit var total:MutableLiveData<Double> ;
        var commodityQuantityStr: ObservableField<String> = ObservableField("1");
        var commodityQuantity: Int = 1;



     fun reBean(): ProductForOrderBean{
        commodityQuantityStr = ObservableField("1");
        commodityQuantity = 1;
         return this
     }
        var price:Double = 0.0
            get() {
                if(selfPrice==null)
                {
                    return commodityPrice
                }else{
                    return selfPrice.value!!.toDouble()
                }
                }

    fun reCommodityQuantity():Int{
        if (commodityQuantity<1)
        {
            commodityQuantity=1
        }
        return commodityQuantity
    }

    fun addCommodityQuantity()
    {
        commodityQuantity++
        commodityQuantityStr.set(commodityQuantity.toString())

        total.postValue(commodityPrice)
    }
    fun subCommodityQuantity()
    {
        if (commodityQuantity>1)
        {
            commodityQuantity--
            commodityQuantityStr.set(commodityQuantity.toString())

        }
        total.postValue(commodityPrice)
    }

    fun setTotalValue( t:MutableLiveData<Double>)
    {
        total=t;
    }

}