package com.xx.merchanthbh.data.local

import android.text.TextUtils
import com.xx.merchanthbh.data.http.respons.MerchantBean
import com.xx.merchanthbh.data.http.respons.UserBean
import com.google.gson.Gson
import me.goldze.mvvmhabit.utils.SPUtils

object LocalData  {

    /**
     * 存储用户信息
     */
    @JvmStatic
    fun saveUser(user:UserBean) {
        SPUtils.getInstance().put("UserInformation",Gson().toJson(user))
    }
    /**
     * 获取用户信息
     */
    @JvmStatic
    fun getUser() : UserBean ?{
       var userStr= SPUtils.getInstance().getString("UserInformation")
        return Gson().fromJson(userStr,UserBean::class.java)
    }

    /**
     * 存储商户信息
     */
    @JvmStatic
    fun saveMerchant(merchant:MerchantBean) {
        SPUtils.getInstance().put("MerchantInformation",Gson().toJson(merchant))
    }
    /**
     * 获取商户信息
     */
    @JvmStatic
    fun getMerchant() : MerchantBean? {
        var merchantStr= SPUtils.getInstance().getString("MerchantInformation")
        return Gson().fromJson(merchantStr,MerchantBean::class.java)
    }


}