package com.xx.merchanthbh.dialog

import android.content.Context
import android.view.Gravity
import android.view.View
import android.view.WindowManager
import androidx.databinding.ObservableField
import com.xx.merchanthbh.R
import com.xx.merchanthbh.data.http.requst.body.BrankBean
import com.xx.merchanthbh.data.http.respons.BoothBean
import com.xx.merchanthbh.databinding.DialogBoothListBinding
import com.xx.merchanthbh.dialog.adapter.BoothListAdapter
import com.xx.merchanthbh.dialog.data.TextListProvider
import com.xx.xxviewlibrary.base.xxBaseDialog
import me.jessyan.autosize.utils.AutoSizeUtils

class BoothListDialog(context:Context,val list:List<TextListProvider>): xxBaseDialog<DialogBoothListBinding>(context){

    var id:String?=null;
    constructor(context:Context, titleStr:String, lists:List<TextListProvider>) : this(context,lists)
    {
        title.set(titleStr)
    }


    constructor(context:Context, titleStr:String, lists:List<TextListProvider>,selectId:String?) : this(context,lists)
    {
        title.set(titleStr)
        id=selectId
    }


    var title:ObservableField<String> = ObservableField("支付成功")
    lateinit var adpter:BoothListAdapter;

    override fun InitView(): DialogSet {
        return DialogSet(R.layout.dialog_booth_list,true,Gravity.BOTTOM,true, WindowManager.LayoutParams.MATCH_PARENT,AutoSizeUtils.dp2px(context,
            321.0F
        ));
    }

    override fun InitData() {
        binding.dialog=this;
        adpter= BoothListAdapter(context);
        if (id!=null)
        {
            adpter.booth= BrankBean("",ArrayList(),ArrayList(),id)
        }
        adpter.mList=list
        binding.rvDblList.adapter=adpter;

    }


    fun boothClickDialog(view: View) {
        if (DialogClickListener != null) {
            DialogClickListener.dialogClickBack(view.id, adpter.getBuuthBusinessId())
        }
        dismiss()
    }


}