package com.xx.merchanthbh.dialog

import android.content.Context
import android.view.Gravity
import android.view.View
import android.view.WindowManager
import com.xx.merchanthbh.R
import com.xx.merchanthbh.data.http.respons.BoothBean
import com.xx.merchanthbh.databinding.DialogAppealTypeListBinding
import com.xx.merchanthbh.databinding.DialogBoothListBinding
import com.xx.merchanthbh.databinding.DialogIntegeralTypeListBinding
import com.xx.merchanthbh.dialog.adapter.AppealTypeListAdapter
import com.xx.merchanthbh.dialog.adapter.BoothListAdapter
import com.xx.merchanthbh.dialog.adapter.IntegeralListAdapter
import com.xx.merchanthbh.dialog.data.TextListProvider
import com.xx.xxviewlibrary.base.xxBaseDialog
import me.jessyan.autosize.utils.AutoSizeUtils

class IntegeralTypeListDialog(context:Context, val list:List<TextListProvider>): xxBaseDialog<DialogIntegeralTypeListBinding>(context){
    lateinit var adpter:IntegeralListAdapter;
    override fun InitView(): DialogSet {
        return DialogSet(R.layout.dialog_integeral_type_list,true,Gravity.BOTTOM,true, WindowManager.LayoutParams.MATCH_PARENT,AutoSizeUtils.dp2px(context,
            321.0F
        ));
    }

    override fun InitData() {
        binding.dialog=this;
        adpter= IntegeralListAdapter(context);
        adpter.mList=list
        binding.rvDblList.adapter=adpter;

    }


    fun typeClickDialog(view: View) {
        if (DialogClickListener != null) {
            DialogClickListener.dialogClickBack(view.id, adpter.getBuuthBusinessId())
        }
        dismiss()
    }


}