package com.xx.merchanthbh.dialog

import android.content.Context
import android.view.Gravity
import android.view.WindowManager
import androidx.databinding.ObservableField
import com.xx.merchanthbh.R
import com.xx.merchanthbh.databinding.DialogOffshelfReasonBinding
import com.xx.merchanthbh.databinding.DialogRejectionReasonBinding
import com.xx.xxviewlibrary.base.xxBaseDialog
import me.jessyan.autosize.utils.AutoSizeUtils

class OffShelfDialog(context: Context, private val rejectionPerson: String, private val rejectionReason: String) : xxBaseDialog<DialogOffshelfReasonBinding>(context) {
    var rejectionPersons = ObservableField("")
    var rejectionReasons = ObservableField("")
    override fun InitView(): DialogSet {
        return DialogSet(
            R.layout.dialog_offshelf_reason, true,
            Gravity.CENTER_VERTICAL, true, WindowManager.LayoutParams.MATCH_PARENT,
            WindowManager.LayoutParams.WRAP_CONTENT
        )
    }

    override fun InitData() {
        binding.offShelfDialog = this
        binding.btnConfirm.setOnClickListener {
            dismiss()
        }
        /*给反驳原因赋值*/
        rejectionPersons.set(rejectionPerson);
        /*给反驳原因赋值*/
        rejectionReasons.set(rejectionReason);
    }
}