package com.xx.merchanthbh.dialog

import android.content.Context
import android.view.Gravity
import android.view.View
import android.view.WindowManager
import com.xx.merchanthbh.R
import com.xx.merchanthbh.data.http.respons.CategoryBean
import com.xx.merchanthbh.databinding.DialogProductTypeBinding
import com.xx.merchanthbh.dialog.data.ProductTypeProvider
import com.xx.xxviewlibrary.base.xxBaseDialog
import me.goldze.mvvmhabit.utils.StringUtils
import me.jessyan.autosize.utils.AutoSizeUtils

class ProductTypeDialog(context:Context,var data: ProductTypeProvider): xxBaseDialog<DialogProductTypeBinding>(context) {
    override fun InitView(): DialogSet {
        return DialogSet(R.layout.dialog_product_type,true,
            Gravity.BOTTOM,true, WindowManager.LayoutParams.MATCH_PARENT,
            AutoSizeUtils.dp2px(context,
            321.0F));
    }

    override fun InitData() {
        binding.dialog=this
        binding.lwlDpt.setData(data);
    }

    fun productTypeClickDialog(view :View)
    {

        if (DialogClickListener!=null)
        {

            val list:MutableList<CategoryBean> = ArrayList();
            list.add(binding.lwlDpt.firstWheelView.getCurrentItem<CategoryBean>());

            if(binding.lwlDpt.secondWheelView.getCurrentItem<CategoryBean>()!=null)
            {
                list.add(binding.lwlDpt.secondWheelView.getCurrentItem<CategoryBean>());

            }

            if (binding.lwlDpt.thirdWheelView.getCurrentItem<CategoryBean>()!=null)
            {
                list.add(binding.lwlDpt.thirdWheelView.getCurrentItem<CategoryBean>());
            }
            val categoryStr = StringUtils.join(
                list, "/"
            ) { data: CategoryBean? -> data!!.categoryName }

             DialogClickListener.dialogClickBack(0,ProductTypeCurrent(categoryStr,list.last().categoryId));
        }
    }

    data class ProductTypeCurrent(val context:String,var id:String)


}