package com.xx.merchanthbh.dialog

import android.content.Context
import android.view.Gravity
import android.view.View
import android.view.WindowManager
import androidx.databinding.ObservableField
import com.xx.merchanthbh.R
import com.xx.merchanthbh.data.http.respons.AssistantInformationBean
import com.xx.merchanthbh.databinding.DialogShareFiltrateBinding
import com.xx.merchanthbh.dialog.adapter.SharePersonFiltrateAdapter
import com.xx.xxviewlibrary.base.xxBaseDialog
import me.jessyan.autosize.utils.AutoSizeUtils

class ShareFiltrateDialog(context: Context,var list:MutableList<AssistantInformationBean>,var selectList:String): xxBaseDialog<DialogShareFiltrateBinding>(context) {

    var activityName = ObservableField("")
    lateinit var adapter:SharePersonFiltrateAdapter
    override fun InitView(): DialogSet {
        return DialogSet(R.layout.dialog_share_filtrate,true, Gravity.TOP,true, WindowManager.LayoutParams.MATCH_PARENT,WindowManager.LayoutParams.WRAP_CONTENT)
    }

    override fun InitData() {

        binding.dialog=this

        val lp: WindowManager.LayoutParams? = window?.getAttributes()
        lp?.y = AutoSizeUtils.dp2px(context,95.0f)//设置出现的高度，距离顶部
        window!!.attributes = lp
        window!!.setDimAmount(0f);

        adapter=SharePersonFiltrateAdapter(context,selectList)
        adapter.mList=list
        binding.rvPersonList.adapter=adapter

    }

    fun setClear(view: View)
    {
        selectList="";
        adapter.selectedTypes=""
        adapter.notifyDataSetChanged()
        activityName.set("")
    }

    fun setFiltrate(view: View)
    {
        selectList=adapter.selectedTypes
        DialogClickListener.dialogClickBack(0,activityName.get().toString())
    }



}