package com.xx.merchanthbh.dialog

import android.content.Context
import android.util.Log
import android.view.Gravity
import android.view.View
import android.view.WindowManager
import android.widget.Toast
import com.github.gzuliyujiang.wheelview.contract.TextProvider
import com.xx.merchanthbh.R
import com.xx.merchanthbh.data.http.respons.EletricListBean
import com.xx.merchanthbh.data.staticdata.StaticData
import com.xx.merchanthbh.data.staticdata.StaticData.itemName
import com.xx.merchanthbh.data.staticdata.StaticData.statusStr
import com.xx.merchanthbh.databinding.DialogSinglePickerBinding
import com.xx.merchanthbh.ui.billdetail.OrderStatusData
import com.xx.xxviewlibrary.base.xxBaseDialog
import me.goldze.mvvmhabit.utils.ToastUtils
import me.jessyan.autosize.utils.AutoSizeUtils


class SinglePickerDialog(context: Context, var data: List<TextProvider>) :
    xxBaseDialog<DialogSinglePickerBinding>(context) {
    lateinit var select: Any

    /*状态存值*/
    var statusItem = ""

    /*电表存值*/
    var selectItem = ""
    override fun InitView(): DialogSet {
        return DialogSet(
            R.layout.dialog_single_picker, true,
            Gravity.BOTTOM, true, WindowManager.LayoutParams.MATCH_PARENT,
            AutoSizeUtils.dp2px(
                context,
                321.0F
            )
        );
    }

    var itemNamed = ""
    var statusStrd = ""
    override fun InitData() {
        var indexOfSelectItem = 0
        StaticData.logOffData
        binding.dialog = this
        binding.lwlDpt.setData(data);
        Log.v("弹窗数据", data.toString())

        /*状态情况*/
        if (data.toString().contains("OrderStatusData")) {
            if (data.isNotEmpty() && data.size > 0) {
                Log.v("数据列表所有选项", data.toString())
                Log.v("选啊啊啊", statusStr)
                // 遍历 data 列表，查找 itemName 并赋值给 selectItem
                for ((index, item) in data.withIndex()) {
                    if (item is OrderStatusData && item.statusStr == statusStr) {
                        select = item
                        selectItem = item.statusStr!!
                        indexOfSelectItem = index
                        break
                    }
                }

                Log.v("电表选择的位置", "在列表中的第 ${indexOfSelectItem + 1} 个对象")
                select = data.get(indexOfSelectItem)
                binding.lwlDpt.setDefaultPosition(indexOfSelectItem)
            }
        } else if (data.toString().contains("EletricListBean")) {
            if (data.isNotEmpty() && data.size > 0) {
                Log.v("数据列表所有选项44444", data.toString())
                Log.v("选bbbb", itemName)
                // 遍历 data 列表，查找 itemName 并赋值给 selectItem
                for ((index, item) in data.withIndex()) {
                    if (item is EletricListBean && item.itemName == itemName) {
                        select = item
                        selectItem = item.itemName!!
                        indexOfSelectItem = index
                        break
                    }
                }

                Log.v("电表选择的位置", "在列表中的第 ${indexOfSelectItem + 1} 个对象")
                select = data.get(indexOfSelectItem)
                binding.lwlDpt.setDefaultPosition(indexOfSelectItem)
            }
        } else {

        }


        binding.lwlDpt.setOnOptionSelectedListener { position, item ->
            Log.v("item的值:", item.toString())
            when (item) {
                is EletricListBean -> {
                    Log.v("选择的是", "电表")
                    itemNamed = item.itemName ?: ""
                    Log.v("最后选择的是", itemName)
                }

                is OrderStatusData -> {
                    Log.v("选择的是", "账单状态")
                    statusStrd = item.statusStr ?: ""
                    Log.v("最后选择的是", statusStr)
                }

                else -> {
                }
            }
            select = item
        }
    }

    fun productTypeClickDialog(view: View) {
        if (DialogClickListener != null) {
            if (select is EletricListBean || select is OrderStatusData) {
                DialogClickListener.dialogClickBack(0, select)
                itemName = itemNamed
                statusStr = statusStrd
            } else {
                // 处理 select 不是 EletricListBean 或 OrderStatusData 实例的情况
            }
            dismiss()
        }
    }



}