package com.xx.merchanthbh.dialog.adapter
import android.content.Context
import android.view.View
import androidx.recyclerview.widget.LinearLayoutManager
import com.xx.merchanthbh.R
import com.xx.merchanthbh.databinding.ItemDialogTypeBinding
import com.xx.merchanthbh.dialog.data.TextListProvider
import com.xx.xxviewlibrary.base.xxBaseRecyclerViewAdapter

class AppealTypeListAdapter(context: Context?) :
    xxBaseRecyclerViewAdapter<ItemDialogTypeBinding, TextListProvider>(context),
    xxBaseRecyclerViewAdapter.OnItemClick<TextListProvider> {


    var type: TextListProvider? =null

    init {
        itemClick=this;
    }

    /*绑定选择器弹窗列表子布局*/
    override fun initLayout(): Int {
       return R.layout.item_dialog_type
    }

    override fun covert(dataBind: ItemDialogTypeBinding?, data: TextListProvider?, position: Int) {
        dataBind?.textprovider=data;
        LinearLayoutManager.VERTICAL
        if (data?.ProviderId()?.equals(type?.ProviderId()) == true)
        {
            dataBind?.tvIdbNo?.setTextColor(mContext.getColor(R.color.foreground))
            dataBind?.ivIdbSelect?.visibility= View.VISIBLE
        }else{
            /*点击了哪个就打钩*/
            dataBind?.tvIdbNo?.setTextColor(mContext.getColor(R.color.black))
            dataBind?.ivIdbSelect?.visibility= View.GONE
        }

    }
    fun getBuuthBusinessId(): TextListProvider?
    {
        return type
    }

    override fun itemClickCalBack(position: Int, data: TextListProvider?) {
        if (data != null) {
            type= data
        }
        notifyDataSetChanged()
    }
}