package com.xx.merchanthbh.dialog.adapter

import android.content.Context
import android.util.Log
import android.view.View
import androidx.recyclerview.widget.LinearLayoutManager
import com.xx.merchanthbh.R
import com.xx.merchanthbh.data.http.respons.AssistantInformationBean
import com.xx.merchanthbh.databinding.ItemShareFiltratePersonBinding
import com.xx.xxviewlibrary.base.xxBaseRecyclerViewAdapter


class SharePersonFiltrateAdapter(context: Context?, var selectedTypes:String) :
    xxBaseRecyclerViewAdapter<ItemShareFiltratePersonBinding, AssistantInformationBean>(context),
    xxBaseRecyclerViewAdapter.OnItemClick<AssistantInformationBean> {


    init {
        itemClick = this;
    }

    /*绑定选择器弹窗列表子布局*/
    override fun initLayout(): Int {
        return R.layout.item_share_filtrate_person
    }

    override fun covert(dataBind: ItemShareFiltratePersonBinding?, data: AssistantInformationBean?, position: Int) {
        dataBind?.data = data
        /*使用包含方法,不适用equals了*/
        if (data?.shopAssistantName.equals(selectedTypes)) {
            dataBind?.tvIsfpName?.setTextColor(mContext.getColor(R.color.foreground))
            dataBind?.tvIsfpPhone?.setTextColor(mContext.getColor(R.color.foreground))
            dataBind?.ivIdbSelect?.visibility = View.VISIBLE
        } else {
            dataBind?.tvIsfpName?.setTextColor(mContext.getColor(R.color.black))
            dataBind?.tvIsfpPhone?.setTextColor(mContext.getColor(R.color.black))
            dataBind?.ivIdbSelect?.visibility = View.GONE
        }

    }



    /*选择时的item   移除和添加*/
    override fun itemClickCalBack(position: Int, data: AssistantInformationBean?) {
        if (data != null) {

                if (data.shopAssistantName.equals(selectedTypes)){
                    selectedTypes="";
                } else {
                    selectedTypes=data.shopAssistantName
                }

        }
        notifyDataSetChanged()
    }

}