package com.xx.merchanthbh.ui.electric

import android.content.Context
import com.xx.merchanthbh.R
import com.xx.merchanthbh.data.http.respons.EletricListBean
import com.xx.merchanthbh.data.http.respons.ProductListBean
import com.xx.merchanthbh.databinding.ItemElectricListBinding
import com.xx.merchanthbh.databinding.ItemProductListBinding
import com.xx.merchanthbh.ui.productmanager.ProductManagerViewModel
import com.xx.xxviewlibrary.base.xxBaseRecyclerViewAdapter

class ElectricListAdapter (context: Context): xxBaseRecyclerViewAdapter<ItemElectricListBinding, EletricListBean>(context){

    var select:Int=-1;

    override fun initLayout(): Int {
        return R.layout.item_electric_list
    }

    override fun covert(dataBind: ItemElectricListBinding?, data: EletricListBean?, position: Int) {
        dataBind?.data=data

        if (select==position)
        {
            dataBind?.llIelBg?.background=mContext.getDrawable(com.xx.xxviewlibrary.R.drawable.bg_white_side_blue_radius_12)
        }else{
            dataBind?.llIelBg?.background=mContext.getDrawable(com.xx.xxviewlibrary.R.drawable.bg_white_radius_12)
        }
    }
}