package com.xx.merchanthbh.ui.electric

import android.content.Context
import com.xx.merchanthbh.R
import com.xx.merchanthbh.data.http.respons.EletricListBean
import com.xx.merchanthbh.data.http.respons.ProductListBean
import com.xx.merchanthbh.databinding.ItemElectricListBinding
import com.xx.merchanthbh.databinding.ItemElectricPriceBinding
import com.xx.merchanthbh.databinding.ItemProductListBinding
import com.xx.merchanthbh.ui.productmanager.ProductManagerViewModel
import com.xx.xxviewlibrary.base.xxBaseRecyclerViewAdapter

class ElectricPriceAdapter(context: Context) :
    xxBaseRecyclerViewAdapter<ItemElectricPriceBinding, Int>(context) {

    var select: Int = 0;

    override fun initLayout(): Int {
        return R.layout.item_electric_price
    }

    override fun covert(dataBind: ItemElectricPriceBinding?, data: Int?, position: Int) {
        //样式
        /* if (select==position)
         {
             dataBind?.llIepBg?.background=mContext.getDrawable(R.drawable.bg_wathetblue_side_blue_radius_8)
         }else{
             dataBind?.llIepBg?.background=mContext.getDrawable(R.drawable.bg_wathetblue_radius_8)
         }*/
        dataBind?.llIepBg?.background = mContext.getDrawable(R.drawable.bg_wathetblue_radius_8)
        dataBind?.tvIepPrice?.text = data.toString() + "元"
    }


}