package com.xx.merchanthbh.ui.huanbohai

import android.content.Context
import android.graphics.Bitmap
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import com.bumptech.glide.Glide
import com.bumptech.glide.request.target.Target
import com.xx.merchanthbh.R
import com.xx.merchanthbh.data.http.respons.AdvertisingBean
import com.xx.merchanthbh.databinding.ItemBannerBinding
import com.xx.merchanthbh.utils.RetrofitClient
import com.xx.xxviewlibrary.base.xxBaseRecyclerViewViewHolder
import com.youth.banner.adapter.BannerAdapter

/**
 * banner 适配器械
 */
class HbhBannerAdapter(val context:Context,list:List<AdvertisingBean> ) :
    BannerAdapter<AdvertisingBean, xxBaseRecyclerViewViewHolder<ItemBannerBinding>>(list) {

    override fun onCreateHolder(
        parent: ViewGroup?,
        viewType: Int
    ): xxBaseRecyclerViewViewHolder<ItemBannerBinding> {
        var view:View=LayoutInflater.from(parent?.context).inflate(R.layout.item_banner,parent,false)
       return xxBaseRecyclerViewViewHolder(parent?.context,view)
    }

    override fun onBindView(
        holder: xxBaseRecyclerViewViewHolder<ItemBannerBinding>?,
        data: AdvertisingBean?,
        position: Int,
        size: Int
    ) {
        holder?.dataBind?.imgBanner?.let {
            Glide.with(context).load(RetrofitClient.baseImgUrl + data?.coverImage)
                .into(it)
        }
    }
}
