package com.xx.merchanthbh.ui.merchantenter

import android.Manifest
import android.content.Context
import android.view.View
import androidx.lifecycle.Observer
import com.huantansheng.easyphotos.callback.SelectCallback
import com.tbruyelle.rxpermissions3.RxPermissions
import com.xx.merchanthbh.R
import com.xx.merchanthbh.data.http.requst.body.Brankbody
import com.xx.merchanthbh.data.staticdata.StaticData
import com.xx.merchanthbh.databinding.ItemAddBrankBinding
import com.xx.xxviewlibrary.base.AppManager
import com.xx.xxviewlibrary.base.xxBaseRecyclerViewAdapter
import com.xx.xxviewlibrary.comm.CommTextDialog
import com.xx.xxviewlibrary.comm.RefuseDialogBean
import com.xx.xxviewlibrary.utils.AddImgAdapter
import com.xx.xxviewlibrary.witget.model.FileBean
import io.reactivex.rxjava3.disposables.Disposable
import me.goldze.mvvmhabit.utils.ToastUtils

/**
 * edit 0：新建模式 1：编辑模式
 */
class AddBrankAdapter(context: Context?,var edit:Int=0) : xxBaseRecyclerViewAdapter<ItemAddBrankBinding, Brankbody>(context)
{

    override fun initLayout(): Int {
       return R.layout.item_add_brank
    }

    override fun covert(dataBind: ItemAddBrankBinding?, data: Brankbody?, position: Int) {


        var vm:AddBrankViewModel= AddBrankViewModel(AppManager.getAppManager().currentActivity().application,edit)

        vm.InitData(data,position)

        dataBind?.viewModel=vm;
        vm.appealPicsAdapter = AddImgAdapter(mContext,data?.brankImgs!!, 5,if(edit==0) true else false)
        dataBind?.ivIabDelete?.setOnClickListener()
        {
            mList.remove(data)
            notifyDataSetChanged()

        }

       /* if (edit==0)
        {
            dataBind?.ivIabDelete?.visibility= View.VISIBLE;
            vm.completeStatic.set(View.GONE)
            vm.editStatic.set(View.GONE)

        }else{*/
            vm.initAdapter(this)
            dataBind?.ivIabDelete?.visibility= View.GONE;

        if (StaticData.personType==1 && edit!=0) {
            //店员
            vm.completeStatic.set(View.GONE)
            vm.editStatic.set(View.GONE)
        }else{//店长
            if(data.edits ==true )
            {
                vm.completeStatic.set(View.GONE)
                vm.editStatic.set(View.VISIBLE)
            }else{
                 vm.completeStatic.set(View.VISIBLE)
                 vm.editStatic.set(View.GONE)
            }

        }


            vm.edit.set(data.edits)
            vm.appealPicsAdapter.edit= data.edits == true






        dataBind?.rvIabImgs?.setAdapter(  vm.appealPicsAdapter)

        vm.appealPicsAdapter.setOnItemClick(object : OnItemClick<FileBean?> {

            override fun itemClickCalBack(position: Int, data: FileBean?) {
                if (vm.edit.get() == true)
                {
                    vm.openPhoto(vm.appealPicsAdapter, position)
                }

            }
        })

        vm.getUC().getStartPhotoEvent().observe(ownerl,
            object : Observer<Map<String?, Any?>?> {

                override fun onChanged(t: Map<String?, Any?>?) {
                    val hasCamera = t?.get("hasCamera") as Boolean
                    val callback = t["callBack"] as SelectCallback?
                    startPhoto(hasCamera, t.get("pMsg") as String,callback)
                }
            })

    }





}