package com.xx.merchanthbh.ui.msg;


import android.app.Application;

import androidx.databinding.ObservableField;

import com.xx.merchanthbh.data.http.requst.MessageDetailRequest;
import com.xx.merchanthbh.data.http.requst.MessageRequest;
import com.xx.merchanthbh.ui.home.HomeActivity;

import io.reactivex.rxjava3.annotations.NonNull;
import me.goldze.mvvmhabit.base.BaseViewModel;
import me.goldze.mvvmhabit.binding.command.BindingAction;
import me.goldze.mvvmhabit.binding.command.BindingCommand;

public class MessageDetailViewModel extends BaseViewModel<MessageRequest> {


    //创建时间的绑定
    public ObservableField<String> createTime = new ObservableField<>("");
    //消息标题的绑定
    public ObservableField<String> messageType = new ObservableField<>("");
    //消息内容的绑定
    public ObservableField<String> messageContent = new ObservableField<>("");


    public MessageDetailViewModel(@NonNull Application application, MessageDetailRequest lm) {
        super(application);
    }

    public MessageDetailViewModel(@NonNull Application application, MessageRequest model) {
        super(application, model);
    }
    //跳转首页
    public BindingCommand goHome = new BindingCommand(new BindingAction() {
        @Override
        public void call() {
            startActivity(HomeActivity.class);
        }
    });
}
