package com.xx.merchanthbh.ui.phone;

import android.os.Bundle;
import android.util.Log;

import com.xx.merchanthbh.R;
import com.xx.merchanthbh.data.http.requst.PhoneRequest;
import com.xx.merchanthbh.databinding.ActivityChangePhoneBinding;

import me.goldze.mvvmhabit.base.BaseActivity;
import me.tatarka.bindingcollectionadapter2.BR;

public class PhoneActivity extends BaseActivity<ActivityChangePhoneBinding, PhoneViewModel> {
    @Override
    public int initContentView(Bundle savedInstanceState) {
        return R.layout.activity_change_phone;
    }

    @Override
    public int initVariableId() {
        return BR.phoneViewModel;
    }
    //    重写初始方法调用参数
    @Override
    public void initData() {
        super.initData();
        /*调用给当前绑定手机号赋值的方法*/
        viewModel.refreshNickName();

    }


    //    重写初始方法调用参数
    @Override
    public void initViewObservable() {
        super.initViewObservable();
    }

    @Override
    public PhoneViewModel initViewModel() {
        PhoneRequest lm = new PhoneRequest();
        return new PhoneViewModel(getApplication(), lm);
    }
}
