package com.xx.merchanthbh.activity.adapter;


import android.content.Context;
import android.util.Log;
import android.view.View;

import com.xx.merchanthbh.R;
import com.xx.merchanthbh.data.http.respons.MessageBean;
import com.xx.merchanthbh.data.staticdata.StaticData;
import com.xx.merchanthbh.databinding.ItemMessageListBinding;
import com.xx.xxviewlibrary.base.xxBaseRecyclerViewAdapter;

public class MessageListAdapter extends xxBaseRecyclerViewAdapter<ItemMessageListBinding, MessageBean> {

    public MessageListAdapter(Context context) {
        super(context);
    }

    /*加载积分布局*/
    @Override
    public int initLayout() {
        return R.layout.item_message_list;
    }

    @Override
    protected void covert(ItemMessageListBinding dataBind, MessageBean data, int position) {
        //   将接口调出来的布局遍历上去
        dataBind.setMessageBean(data);
        Log.v("消息列表的重要信息:", String.valueOf(data));
        /*根据状态判断显示已读还是未读图标*/
        if (StaticData.flag == 0) {
            /*显示未读按钮*/
            dataBind.idRead.setVisibility(View.GONE);
            dataBind.idUnread.setVisibility(View.VISIBLE);
        } else {
            /*显示已读按钮*/
            dataBind.idUnread.setVisibility(View.GONE);
            dataBind.idRead.setVisibility(View.VISIBLE);
        }
    }

}

