package com.xx.merchanthbh.data.http.requst;


import com.xx.merchanthbh.data.http.BaseRespons;
import com.xx.merchanthbh.data.http.respons.ActivityCenterBean;
import com.xx.merchanthbh.data.local.LocalData;

import io.reactivex.rxjava3.core.Observable;
import me.goldze.mvvmhabit.http.ApiParams;
import me.goldze.mvvmhabit.http.BasePageResponse;
import okhttp3.RequestBody;

public class ActivitiesRequest extends BaseRespons {
    /**
     * 活动列表
     */
    public Observable<BasePageResponse<ActivityCenterBean>> getActivityList(Integer page) {

        ApiParams<ActivitiesRequestBody> apiParams = new ApiParams<ActivitiesRequestBody>();
        ActivitiesRequestBody requestBody = new ActivitiesRequestBody(LocalData.getMerchant().getBooth().getAffiliatedCompany(), "3");
        RequestBody body = apiParams.setParams(requestBody);
        return getApiService().getActivityList(body,page);

    }
    /**
     * "activityShop": 传店铺类型 1-河西 2-滨海
     * "isPublish": 传APP类型 1-消费者 2-企业 3-商户
     */
    public class ActivitiesRequestBody {
        public String activityShop;
        public String isPublish;

        public ActivitiesRequestBody(String activityShop, String isPublish) {
            this.activityShop = activityShop;
            this.isPublish = isPublish;
        }
    }
}
