package com.xx.merchanthbh.data.http.requst

import com.xx.merchanthbh.data.http.BaseRespons
import io.reactivex.rxjava3.core.Observable
import me.goldze.mvvmhabit.http.ApiParams
import me.goldze.mvvmhabit.http.BaseResponse

class AssistantAddRequest : BaseRespons() {

    /**
     * 新建员工
     */
    fun postAssistantMsg(
        shopAssistantName: String,
        shopAssistantPhone: String,
        sex: String
    ): Observable<BaseResponse<Boolean>> {

        return apiService.postAssistantMsg(
            ApiParams<postAssistantRequestBody>().setParams(
                postAssistantRequestBody(
                    /*用户性别,0=男,1=女,2=未知*/
                    shopAssistantName, shopAssistantPhone, sex
                )
            )
        )
    }


    /**
     * 新建员工入参
     *
     */
    class postAssistantRequestBody(
        /*入参顺序一定要对!!!!!!!!!!!!!!!!*/
        /*员工姓名*/
        var shopAssistantName: String,
        /*员工手机号*/
        var shopAssistantPhone: String,
        /*员工性别*/
        /*用户性别,0=男,1=女,2=未知*/
        var sex: String,
    )
}