package com.xx.merchanthbh.data.http.requst;

import com.xx.merchanthbh.data.http.BaseRespons;
import com.xx.merchanthbh.data.http.respons.HomeStatisticalBean;
import com.xx.merchanthbh.data.http.respons.MessageBean;
import com.xx.xxviewlibrary.model.VersionBean;
import com.xx.xxviewlibrary.model.VersionBody;

import io.reactivex.rxjava3.core.Observable;
import me.goldze.mvvmhabit.http.ApiParams;
import me.goldze.mvvmhabit.http.BasePageResponse;
import me.goldze.mvvmhabit.http.BaseResponse;
public class HomeRequest extends BaseRespons {
    /**
     * 获取订单信息
     */
    public Observable<BaseResponse<HomeStatisticalBean>> getHomeStatistical() {
        return getApiService().getHomeStatistical();
    }

    /**
     * 强制更新
     */
    public Observable<BaseResponse<VersionBean>> checkVersion() {
        return getApiService().getLineVersion(
                new ApiParams<VersionBody>().setParams(
                        new VersionBody("2", "2")
                )
        );
    }

    /**
     * 签到
     */
    public Observable<BaseResponse<Boolean>> getSign(String id) {
        return getApiService().getSign(id);
    }

    /** * 获取消息列表 */
    public Observable<BasePageResponse<MessageBean>> getMessageList(String flag,Integer page) {
        return getApiService().getMessageList(flag,page);
    }

}
