package com.xx.merchanthbh.data.http.requst

import com.xx.merchanthbh.data.http.BaseRespons
import com.xx.merchanthbh.data.http.respons.BoothBean
import com.xx.merchanthbh.data.http.respons.MessageBean
import com.xx.merchanthbh.data.http.respons.OrderBean
import io.reactivex.rxjava3.core.Observable
import me.goldze.mvvmhabit.http.ApiParams
import me.goldze.mvvmhabit.http.BasePageResponse
import me.goldze.mvvmhabit.http.BaseResponse

class MessageRequest : BaseRespons() {
    /**
     * 获取消息列表
     */
    fun getMessageList(flag: String,page: Int): Observable<BasePageResponse<MessageBean>> {
        return apiService.getMessageList(flag,page)
    }

    /**
     * 改变消息状态位
     */
    fun putMessageStaticUpdate(businessId:String):Observable<BaseResponse<Number>>
    {
        return apiService.putMessageStaticUpdate(ApiParams<MessageStaticUpdateBody>().setParams(MessageStaticUpdateBody(businessId,"1")))
    }
    data class MessageStaticUpdateBody(val businessId:String, val flag:String )
}