package com.xx.merchanthbh.data.http.requst

import com.xx.merchanthbh.data.http.BaseRespons
import com.xx.merchanthbh.data.local.LocalData
import io.reactivex.rxjava3.core.Observable
import me.goldze.mvvmhabit.http.ApiParams
import me.goldze.mvvmhabit.http.BaseResponse

class PhoneRequest: BaseRespons() {
    /**
     * 获取验证码
     */
    fun getCode(phone: String): Observable<BaseResponse<String>> {
        return apiService.getCode(phone);
    }
    /**
     * 更换手机号
     */
    fun ChangePhone(
        phone: String,
        code: String
    ): Observable<BaseResponse<String>> {

        return apiService.ChangePhone(
            ApiParams<ChangePhoneRequestBody>().setParams(
                ChangePhoneRequestBody(
                    phone,LocalData.getUser()?.userId!!,code,
                    "02"
                )
            )
        )
    }


    /**
     * 更换手机号入参
     *
     */
    class ChangePhoneRequestBody(
        /*入参顺序一定要对!!!!!!!!!!!!!!!!*/
        /*手机号或用户名*/
        var phone: String,
        /*usetId*/
        var userId: Int,
        /*验证码*/
        var verificationCode: String,
        /*用户类型:01-企业用户,13-消费者,02-商户用户,10-系统用户*/
        var userType: String
    )

}