package com.xx.merchanthbh.data.http.requst

import com.xx.merchanthbh.data.http.BaseRespons
import com.xx.merchanthbh.data.http.respons.AssistantInformationBean
import com.xx.merchanthbh.data.http.respons.ShareTotalBean
import io.reactivex.rxjava3.core.Observable
import me.goldze.mvvmhabit.http.ApiParams
import me.goldze.mvvmhabit.http.BasePageResponse
import me.goldze.mvvmhabit.http.BaseResponse

class ShareRequest: BaseRespons() {

    /**
     * 获取转发统计列表
     *
     */
    fun getShareTotalList(activity:String?,persons:String?): Observable<BaseResponse<List<ShareTotalBean>>>
    {
        return apiService.postShareTotal(ApiParams<ShareTotalListBody>().setParams(ShareTotalListBody(activity,persons)))
    }

    /**
     * 加载店员列表
     * 获取搜索关键词
     */
    fun getAssistantList(): Observable<BaseResponse<List<AssistantInformationBean>>> {
        return apiService.getAssistantListAll("")

    }

    data class ShareTotalListBody(var activityName:String ?,
    var assistantName:String?)

}