package com.xx.merchanthbh.data.http.respons

import com.xx.merchanthbh.data.http.requst.MerchantEnterRequst
import com.xx.merchanthbh.data.http.requst.body.BrankBean

open class MerchantBean (
    var auditStatus:String?,
    var boothId:String,//展位id
    var brandAuthorizationList:List<BrankBean>?,//品牌授权列表
    var businessId: String?,//商户逐渐
    var businessLicense:String?,//营业执照
    var companyLogo:String?,//公司logo
    var companyName:String?,//公司全称
    var integral:Int?,//商户积分
    var leaseEndTime:String?,
    var leaseStartTime:String?,
    var merchantNumber:String?,
    var merchantSource:String?,
    var operatingPermit:String?,
    var personPhone:String,
    var rating:Float?,
    var responsiblePerson:String,
    var status:String?,//商户状态: 0-待审核, 1-督导驳回, 2-待审批, 3-待提交, 4-店总驳回, 5-经营中, 6-已禁用, 7-已退租
    var remark:String,
    var storeName:String,//商店名称
    var createTime:String?,//创建时间
    var logeFile:String?,//logo 文件路径
    var booth:BoothBean?,//展位信息
    var operatingPermitFile:Filebean?, //经营许可证文件
    var logoFile:Filebean?,//logo文件
    var businessLicenseFile:Filebean?,//营业执照文件
    var userId:Int?,
    var merchantOperationLogList:List<LogBean>?=ArrayList(), //日志
var supervisorsUserInfoList:List<supervisorsUserInfo>?=ArrayList()//展位对应督导人员信息
) {


    data class supervisorsUserInfo(var nickName:String)


}