package com.xx.merchanthbh.data.http.respons

data class OrderBean(
    /*businessId string 订单ID*/
    var businessId:String,
    /*orderNumber string 订单编号*/
    var orderNumber:String,
    /*member string 会员信息*/
    var member:MemberBean?,
    /*orderStatus string 订单状态 1-待付款 2-已完成 3-已关闭:1-待付款,2-已完成,3-已关闭*/
    var orderStatus:String,
    /*orderAmount Double 订金金额*/
    var orderAmount:Double,
    /*quantity Int 商品库存数量*/
    var quantity:Int,
    /*商品信息*/
    var commodityList: List<CommodityLists>,
    /*商户logo图片*/
    var companyLogoFile:CompanyLogoFileBean?


    ) {
    /*商品信息*/
     data class CommodityLists(
        /*商品名称*/
        var commodityName:String,
        /*商品品类*/
        var commodityCategory:String,
        /*商品价格*/
        var price:Double,
        /*购买数量*/
        var commodityQuantity:Int,
        /*商品图片信息*/
        var commodityPictureList: List<Filebean>,

    )

}