package com.xx.merchanthbh.dialog

import android.content.Context
import android.view.Gravity
import android.view.WindowManager
import androidx.databinding.ObservableField
import com.xx.merchanthbh.R
import com.xx.merchanthbh.databinding.DialogRejectionReasonBinding
import com.xx.xxviewlibrary.base.xxBaseDialog
import me.jessyan.autosize.utils.AutoSizeUtils

class RejectionDialog(context: Context, private val rejectionReason: String) : xxBaseDialog<DialogRejectionReasonBinding>(context) {
    var rejectionReasons = ObservableField("")
    override fun InitView(): DialogSet {
        return DialogSet(
            R.layout.dialog_rejection_reason, true,
            Gravity.CENTER_VERTICAL, true, WindowManager.LayoutParams.MATCH_PARENT,
            WindowManager.LayoutParams.WRAP_CONTENT
        )
    }

    override fun InitData() {
        binding.rejectionDialog = this
        binding.btnConfirm.setOnClickListener {
            dismiss()
        }
        /*给反驳原因赋值*/
        rejectionReasons.set(rejectionReason);
    }
}