package com.xx.merchanthbh.dialog.data

import com.github.gzuliyujiang.wheelpicker.contract.LinkageProvider
import com.xx.merchanthbh.data.http.respons.CategoryBean

class ProductTypeProvider(var list:MutableList<CategoryBean>):LinkageProvider {


    override fun firstLevelVisible(): Boolean {
        return true
    }

    override fun thirdLevelVisible(): Boolean {
        return true
    }

    override fun provideFirstData(): MutableList<CategoryBean> {
       return list
    }

    override fun linkageSecondData(firstIndex: Int): MutableList<CategoryBean> {
       return list[firstIndex].children
    }

    override fun linkageThirdData(firstIndex: Int, secondIndex: Int): MutableList<CategoryBean> {
        if(list[firstIndex].children==null || list[firstIndex].children.size==0) return ArrayList() else
       return list[firstIndex].children[secondIndex].children
    }

    override fun findFirstIndex(firstValue: Any?): Int {
        if (firstValue == null) {
            return LinkageProvider.INDEX_NO_FOUND
        }
        if (firstValue is CategoryBean) {
            return list.indexOf(firstValue)
        }

        return LinkageProvider.INDEX_NO_FOUND
    }

    override fun findSecondIndex(firstIndex: Int, secondValue: Any?): Int {
        if (secondValue == null) {
            return LinkageProvider.INDEX_NO_FOUND
        }
        val secondlist: List<CategoryBean> = linkageSecondData(firstIndex)
        if (secondValue is CategoryBean) {
            return secondlist.indexOf(secondValue)
        }

        return LinkageProvider.INDEX_NO_FOUND
    }

    override fun findThirdIndex(firstIndex: Int, secondIndex: Int, thirdValue: Any?): Int {
        if (thirdValue == null) {
            return LinkageProvider.INDEX_NO_FOUND
        }
        val countyList: List<CategoryBean> = linkageThirdData(firstIndex, secondIndex)
        if (thirdValue is CategoryBean) {
            return countyList.indexOf(thirdValue)
        }

        return LinkageProvider.INDEX_NO_FOUND
    }
}