package com.xx.merchanthbh.fragment.adapter;

import static com.xx.merchanthbh.utils.RetrofitClient.baseImgUrl;

import android.content.Context;
import android.graphics.Bitmap;

import com.bumptech.glide.Glide;
import com.bumptech.glide.RequestBuilder;
import com.bumptech.glide.load.resource.bitmap.RoundedCorners;
import com.bumptech.glide.request.RequestOptions;
import com.xx.merchanthbh.R;
import com.xx.merchanthbh.data.http.respons.ActivityCenterBean;
import com.xx.merchanthbh.databinding.ItemActivityCenterBinding;
import com.xx.xxviewlibrary.base.xxBaseRecyclerViewAdapter;

import me.goldze.mvvmhabit.utils.StringUtils;
import me.jessyan.autosize.utils.AutoSizeUtils;

public class ActivityCenterListAdapter extends xxBaseRecyclerViewAdapter<ItemActivityCenterBinding, ActivityCenterBean> {

    public ActivityCenterListAdapter(Context mContext) {
        super(mContext);
    }

    @Override
    public int initLayout() {
        return R.layout.item_activity_center;
    }
    @Override
    protected void covert(ItemActivityCenterBinding dataBind, ActivityCenterBean data, int position) {
        RequestOptions options = new RequestOptions()
                .bitmapTransform(new RoundedCorners(AutoSizeUtils.dp2px(mContext, 12)));
        Glide.with(mContext).asBitmap()
                .apply(options).load(baseImgUrl+data.getActivityCover()).into(dataBind.ivIdbSelect);
        RequestBuilder<Bitmap> apply = Glide.with(mContext).asBitmap()
                .apply(options);
        if (StringUtils.isEmpty(data.getActivityCover())) {
            apply = apply.load(R.drawable.quanju_img_quetu);
        } else {
            apply = apply.load(baseImgUrl+data.getActivityCover());
        }
        apply.error(Glide.with(mContext).asBitmap().load(R.drawable.quanju_img_quetu))
                .into(dataBind.ivIdbSelect);
    }

    @Override
    public int getItemCount() {
        return mList.size()>3?3:mList.size();
    }
}
