package com.xx.merchanthbh.fragment.adapter;


import static com.xx.merchanthbh.utils.RetrofitClient.baseImgUrl;

import android.content.Context;
import android.graphics.Bitmap;

import com.bumptech.glide.Glide;
import com.bumptech.glide.RequestBuilder;
import com.bumptech.glide.load.resource.bitmap.RoundedCorners;
import com.bumptech.glide.request.RequestOptions;
import com.xx.merchanthbh.R;
import com.xx.merchanthbh.data.http.respons.ConsultationInformationBean;
import com.xx.merchanthbh.databinding.ItemConsultationInformationBinding;
import com.xx.xxviewlibrary.base.xxBaseRecyclerViewAdapter;

import me.goldze.mvvmhabit.utils.StringUtils;
import me.jessyan.autosize.utils.AutoSizeUtils;

public class ConsultationsInformationAdapter extends xxBaseRecyclerViewAdapter<ItemConsultationInformationBinding, ConsultationInformationBean> {

    public ConsultationsInformationAdapter(Context context) {
        super(context);
    }

    @Override
    public int initLayout() {
        return R.layout.item_consultation_information;
    }

    //    控制子布局的数据dateBinding.绑定的变量   赋值
    @Override
    protected void covert(ItemConsultationInformationBinding dataBind, ConsultationInformationBean data, int position) {
        //   将接口调出来的布局遍历上去
        dataBind.setConsultationInformation(data);
        RequestOptions options = new RequestOptions()
                .bitmapTransform(new RoundedCorners(AutoSizeUtils.dp2px(mContext, 12)));
        RequestBuilder<Bitmap> apply = Glide.with(mContext).asBitmap()
                .apply(options);
        if (StringUtils.isEmpty(data.getCoverSmallImage())) {
            apply = apply.load(R.drawable.quanju_img_quetu2);
        } else {
            apply = apply.load(baseImgUrl+data.getCoverSmallImage());
        }
        apply.error(Glide.with(mContext).asBitmap().load(R.drawable.quanju_img_quetu2))
                .into(dataBind.ivIdbSelect);
    }

}
