package com.xx.merchanthbh.ui.appeal;

import android.os.Bundle;

import com.xx.merchanthbh.BR;
import com.xx.merchanthbh.R;
import com.xx.merchanthbh.data.http.requst.AppealRequest;
import com.xx.merchanthbh.databinding.ActivityAppealBinding;
import com.xx.xxviewlibrary.base.xxBaseRecyclerViewAdapter;
import com.xx.xxviewlibrary.utils.AddImgAdapter;
import com.xx.xxviewlibrary.witget.model.FileBean;

import java.util.ArrayList;

import me.goldze.mvvmhabit.base.BaseActivity;

public class AppealActivity extends BaseActivity<ActivityAppealBinding, AppealViewModel> {
    @Override
    public int initContentView(Bundle savedInstanceState) {
        return R.layout.activity_appeal;
    }

    @Override
    public int initVariableId() {
        return BR.appealViewModel;
    }

    //    重写初始方法调用参数
    @Override
    public void initData() {
        super.initData();
        /*调取数据字典数据*/
        viewModel.getAppealTypesList();
        // 调用ViewModel的方法来刷新昵称
        viewModel.refreshNickName();

        /*上传图片*/
        viewModel.appealPicsAdapter= new AddImgAdapter(this, new ArrayList(),5,true);
        binding.rvAapProduct.setAdapter(viewModel.appealPicsAdapter);
        viewModel.appealPicsAdapter.setOnItemClick(new xxBaseRecyclerViewAdapter.OnItemClick<FileBean>() {
            @Override
            public void itemClickCalBack(int position, FileBean data) {
                viewModel.openPhoto(viewModel.appealPicsAdapter, position);
            }
        });

    }

    @Override
    public AppealViewModel initViewModel() {
        AppealRequest lm = new AppealRequest();
        return new AppealViewModel(getApplication(), lm);
    }

}
