package com.xx.merchanthbh.ui.assistant;

import android.os.Bundle;
import android.widget.RadioGroup;

import com.xx.merchanthbh.BR;
import com.xx.merchanthbh.R;
import com.xx.merchanthbh.data.http.requst.AssistantAddRequest;
import com.xx.merchanthbh.data.http.requst.ForgetPwdRequest;
import com.xx.merchanthbh.databinding.ActivityAssistantAddBinding;
import com.xx.merchanthbh.ui.pwd.ForgetPwdViewModel;

import me.goldze.mvvmhabit.base.BaseActivity;

public class AssistantAddActivity extends BaseActivity<ActivityAssistantAddBinding, AssistantAddViewModel> {
    @Override
    public int initContentView(Bundle savedInstanceState) {
        return R.layout.activity_assistant_add;
    }

    @Override
    public int initVariableId() {
        return BR.assistantAddViewModel;
    }
    //    重写初始方法调用参数
    @Override
    public void initViewObservable() {
        super.initViewObservable();
        /*单选按钮*/
        // 获取性别选择的RadioGroup
        RadioGroup sexRadioGroup = findViewById(R.id.radio_group);

        // 初始化ViewModel中的性别选择监听器
        viewModel.initSexListener(sexRadioGroup);
    }

    @Override
    public AssistantAddViewModel initViewModel() {
        AssistantAddRequest lm = new AssistantAddRequest();
        return new AssistantAddViewModel(getApplication(), lm);
    }
}
