package com.xx.merchanthbh.ui.billdetail

import android.os.Bundle
import com.xx.merchanthbh.BR
import com.xx.merchanthbh.R
import com.xx.merchanthbh.data.http.requst.BillDetailRequst
import com.xx.merchanthbh.data.http.requst.BillListRequst
import com.xx.merchanthbh.databinding.ActivityBillDetailBinding
import com.xx.merchanthbh.ui.bill.BillListViewModel
import me.goldze.mvvmhabit.base.BaseActivity

class BillDetailActivity:BaseActivity<ActivityBillDetailBinding,BillDetailViewModel>() {
    override fun initContentView(savedInstanceState: Bundle?): Int {
        return R.layout.activity_bill_detail
    }

    override fun initVariableId(): Int {
        return BR.viewModel
    }

    override fun initViewModel(): BillDetailViewModel? {
        val lm = BillDetailRequst()
        return BillDetailViewModel(getApplication(), lm)
    }

    override fun initData() {
        super.initData()
        viewModel.getBillDetail(intent.getStringExtra("OrderID"))
    }
}