package com.xx.merchanthbh.ui.electric

import android.content.Context
import android.view.Gravity
import android.view.View
import android.view.WindowManager
import com.chinaums.pppay.unify.UnifyPayRequest
import com.xx.merchanthbh.R
import com.xx.merchanthbh.data.staticdata.StaticData
import com.xx.merchanthbh.databinding.DialogBoothListBinding
import com.xx.merchanthbh.databinding.DialogPayWayBinding
import com.xx.xxviewlibrary.base.xxBaseDialog

class PayWayDialog(context: Context) : xxBaseDialog<DialogPayWayBinding>(context) {

    /*支付金额赋值*/
    var paymentAmount = StaticData.parsePrice
    var data: PayWayData = PayWayData();

    override fun InitView(): DialogSet {
        return DialogSet(
            R.layout.dialog_pay_way,
            true,
            Gravity.BOTTOM,
            true,
            WindowManager.LayoutParams.MATCH_PARENT,
            WindowManager.LayoutParams.WRAP_CONTENT
        )
    }

    override fun InitData() {

        binding.dialog = this
    }

    fun selectPayWay(view: View) {
        when (view.id) {
            R.id.cl_dpw_wx -> {
                data.way = "WECHAT"
                data.channel = UnifyPayRequest.CHANNEL_WEIXIN
                binding.icDpwWx.visibility = View.VISIBLE
                binding.icDpwYsf.visibility = View.GONE
                binding.icDpwZhb.visibility = View.GONE
            }

            R.id.cl_dpw_zfb -> {
                data.way = "ALIPAY"
                data.channel = UnifyPayRequest.CHANNEL_ALIPAY
                binding.icDpwWx.visibility = View.GONE
                binding.icDpwYsf.visibility = View.GONE
                binding.icDpwZhb.visibility = View.VISIBLE
            }

            R.id.cl_dpw_yun -> {
                data.way = "UNION_PAY"
                binding.icDpwWx.visibility = View.GONE
                binding.icDpwYsf.visibility = View.VISIBLE
                binding.icDpwZhb.visibility = View.GONE
            }

        }

    }


    fun goPay(view: View) {
        if (DialogClickListener != null) {
            DialogClickListener.dialogClickBack(view.id, data);
            dismiss()
        }
    }


}