package com.xx.merchanthbh.ui.merchantenter

import android.os.Bundle
import androidx.navigation.Navigation.findNavController
import com.xx.merchanthbh.BR
import com.xx.merchanthbh.R
import com.xx.merchanthbh.databinding.ActivityMerchantEnterBinding
import com.huantansheng.easyphotos.EasyPhotos
import me.goldze.mvvmhabit.base.BaseActivity

class MerchantEnterActivity :
    BaseActivity<ActivityMerchantEnterBinding, MerchantEnterViewModel>() {

    var pageStep=R.id.merchantIntroduceFragment
    override fun initContentView(savedInstanceState: Bundle?): Int {
        return R.layout.activity_merchant_enter
    }

    override fun initParam() {
        super.initParam()
//        val bundle = intent.getBundleExtra(ParameterField.BUNDLE) as Bundle
        pageStep=intent.getIntExtra("pageStep",0)
    }

    override fun initVariableId(): Int {
        return BR.viewModel
    }

    override fun initData() {
        super.initData()

        val navController = findNavController(findViewById(R.id.fragment_register))
        val navGraph = navController.navInflater.inflate(R.navigation.nav_merchant_enter);
        navGraph.setStartDestination(pageStep);
        navController.setGraph(navGraph, Bundle());
        EasyPhotos.preLoad(this)


    }


}