package com.xx.merchanthbh.ui.merchantinfo

import android.os.Bundle
import android.util.Log
import android.view.View
import com.xx.merchanthbh.BR
import com.xx.merchanthbh.R
import com.xx.merchanthbh.data.staticdata.StaticData
import com.xx.merchanthbh.databinding.ActivityMaterialInfoBinding
import com.xx.merchanthbh.ui.merchantenter.AddBrankAdapter
import me.goldze.mvvmhabit.base.BaseActivity

class MaterialInfoActivity : BaseActivity<ActivityMaterialInfoBinding, MerchantInfoViewModel>() {



    override fun initContentView(savedInstanceState: Bundle?): Int {
        return R.layout.activity_material_info
    }
    override fun initVariableId(): Int {
        return BR.viewModel
    }

    override fun initData() {
        super.initData()
        viewModel.adapter=AddBrankAdapter(this,1)
        binding.rvFrmBrankList.adapter= viewModel.adapter
       viewModel.brandVisibility.observe(this){
           it->
           if (it)
           {
               binding.llBrand.visibility=View.VISIBLE
           }else{
               binding.llBrand.visibility=View.GONE
           }
       }

        viewModel.imgVisibility.observe(this){
                it->
            when(it)
            {
                0-> {}
                1->  {binding.llBusinessLicense.visibility=View.VISIBLE }
                2->  {binding.llBusinessLicense.visibility=View.GONE }
                3->  {binding.llOperatingPermit.visibility=View.VISIBLE }
                4->  {binding.llOperatingPermit.visibility=View.GONE }
            }


        }

        viewModel.getMerchantInfo()



        if (StaticData.personType==0)
        { //店长
            binding.llAmeBottom.visibility= View.VISIBLE
            binding.tvAmiAddBrand.visibility=View.VISIBLE
        }else{
            //店员
            binding.llAmeBottom.visibility= View.GONE
            binding.tvAmiAddBrand.visibility=View.GONE
        }



    }



}