package com.xx.merchanthbh.ui.msg;

import android.os.Bundle;
import android.util.Log;

import com.xx.merchanthbh.BR;
import com.xx.merchanthbh.R;
import com.xx.merchanthbh.data.http.requst.MessageDetailRequest;
import com.xx.merchanthbh.databinding.ActivityMessageDetailBinding;

import me.goldze.mvvmhabit.base.BaseActivity;

public class MessageDetailActivity extends BaseActivity<ActivityMessageDetailBinding, MessageDetailViewModel> {
    /*创建时间*/
    String createTime;
    /*消息标题*/
    String messageType;
    /*消息内容*/
    String messageContent;
    @Override
    public int initContentView(Bundle savedInstanceState) {
        return R.layout.activity_message_detail;
    }

    @Override
    public int initVariableId() {
        return BR.messageDetailViewModel;
    }

    /*列表页传参*/
    @Override
    public void initParam() {
        super.initParam();
        /*获取列表页传过来的参数*/
        createTime = getIntent().getStringExtra("createTime");
        /*获取列表页传过来的参数*/
        messageType = getIntent().getStringExtra("messageType");
        /*获取列表页传过来的参数*/
        messageContent = getIntent().getStringExtra("messageContent");

    }
    //    重写初始方法调用参数
    @Override
    public void initData() {
        super.initData();
        /*创建时间赋值*/
        viewModel.createTime.set(createTime);
        /*消息标题赋值*/
        viewModel.messageType.set(messageType);
        /*消息内容赋值*/
        viewModel.messageContent.set(messageContent);

    }
    @Override
    public MessageDetailViewModel initViewModel() {
        MessageDetailRequest lm = new MessageDetailRequest();
        return new MessageDetailViewModel(getApplication(), lm);
    }
}
