package com.xx.merchanthbh.ui.ordercreate

import android.content.Context
import androidx.lifecycle.MutableLiveData
import com.xx.merchanthbh.R
import com.xx.merchanthbh.data.http.respons.ProductForOrderBean
import com.xx.merchanthbh.databinding.ItemProductOrderBinding
import com.xx.xxviewlibrary.base.xxBaseRecyclerViewAdapter
import java.text.DecimalFormat

class OrderProductAdapter(context: Context,var t: MutableLiveData<Double>):
    xxBaseRecyclerViewAdapter<ItemProductOrderBinding, ProductForOrderBean>(context) {



    override fun initLayout(): Int {
        return R.layout.item_product_order
    }

    override fun covert(
        dataBind: ItemProductOrderBinding?,
        data: ProductForOrderBean?,
        position: Int
    ) {

        data?.setTotalValue(t)
        if (data?.selfPrice==null)
        {

            val df = DecimalFormat("###.00")
            data?.selfPrice=MutableLiveData(df.format(data?.commodityPrice))
            data?.selfPrice?.observe(ownerl){


                try {
                it.toDouble()
                    t.postValue(1.0)
                }catch (e:Exception)
                {

                }


            }
        }
        dataBind?.data=data


        dataBind?.btnIpoDelete?.setOnClickListener()
        {

//            val tomerTotal= t.value
//            if (tomerTotal != null) {
//                t.postValue(tomerTotal-(data?.commodityPrice!!.times(data?.commodityQuantity!!)))
//            }
            t.postValue(0.0)
            mList.removeAt(position)

            notifyDataSetChanged()
        }
    }
}