package com.xx.merchanthbh.ui.ordercreate

import android.content.Context
import com.xx.merchanthbh.R
import com.xx.merchanthbh.data.http.respons.ProductForOrderBean
import com.xx.merchanthbh.databinding.ItemProductSelectBinding
import com.xx.xxviewlibrary.base.xxBaseRecyclerViewAdapter
import com.xx.xxviewlibrary.base.xxBaseRecyclerViewAdapter.OnItemClick

class OrderSelectProductAdapter(context: Context, var selectList:MutableList<ProductForOrderBean>):
    xxBaseRecyclerViewAdapter<ItemProductSelectBinding, ProductForOrderBean>(context) {
    var selectIds :MutableList<String> = ArrayList();

    init {

        for (product in selectList)
        {
            selectIds.add(product.businessId)
        }

        itemClick= OnItemClick<ProductForOrderBean> { position, data ->

            if (selectIds.contains(data.businessId))
            {
                selectIds.remove(data.businessId)

                for (bean in selectList)
                {
                    if (bean.businessId.equals(data.businessId))
                    {
                        selectList.remove(bean)
                        break
                    }
                }
            }else{
                selectIds.add(data.businessId)
                selectList.add(data.reBean())
            }

            notifyItemChanged(position)

            }
    }
    override fun initLayout(): Int {
        return R.layout.item_product_select
    }

    override fun covert(
        dataBind: ItemProductSelectBinding?,
        data: ProductForOrderBean?,
        position: Int
    ) {


        dataBind?.data=data
        if (dataBind!=null &&  dataBind.ivIpsSelect!=null)
        {
            if (selectIds.contains(data?.businessId))
            {
                dataBind.ivIpsSelect.setImageDrawable(mContext.getDrawable(R.mipmap.login_icon_xuanze2))
            }else{
                dataBind.ivIpsSelect.setImageDrawable(mContext.getDrawable(R.mipmap.login_icon_xuanze1))
            }
        }




    }
}