package com.xx.merchanthbh.ui.productdetail

import android.os.Bundle
import android.view.View
import com.xx.merchanthbh.BR
import com.xx.merchanthbh.R
import com.xx.merchanthbh.data.http.requst.AddProductRequest
import com.xx.merchanthbh.data.http.respons.RejectionBean
import com.xx.merchanthbh.data.http.respons.RejectionShelfBean
import com.xx.merchanthbh.databinding.ActivityDetailProductBinding
import com.xx.merchanthbh.dialog.OffShelfDialog
import com.xx.merchanthbh.dialog.RejectionDialog
import com.xx.xxviewlibrary.utils.ImgAdapter
import me.goldze.mvvmhabit.base.BaseActivity

class ProductDetailActivity : BaseActivity<ActivityDetailProductBinding, ProductDetailViewModel>() {
    override fun initContentView(savedInstanceState: Bundle?): Int {
        return R.layout.activity_detail_product
    }

    override fun initVariableId(): Int {
        return BR.viewModel
    }

    override fun initData() {
        super.initData()
        viewModel.getInfo(intent.getStringExtra("goodsId"));


        viewModel.productAdapter = ImgAdapter(this, ArrayList())
        binding.rvAapProduct.adapter = viewModel.productAdapter



        viewModel.detailAdapter = ImgAdapter(this, ArrayList())
        binding.rvAapDetail.adapter = viewModel.detailAdapter

        viewModel.brandAdapter = ImgAdapter(this, ArrayList())
        binding.rvAapDetailBrand.adapter = viewModel.brandAdapter



    }


    override fun initViewModel(): ProductDetailViewModel {
        val lm: AddProductRequest = AddProductRequest()
        return ProductDetailViewModel(application, lm)
    }
}