package com.xx.merchanthbh.ui.productmanager

import android.content.Context
import android.content.Intent
import android.os.Bundle
import android.view.View
import com.xx.merchanthbh.R
import com.xx.merchanthbh.data.http.respons.ProductListBean
import com.xx.merchanthbh.databinding.ItemProductListBinding
import com.xx.merchanthbh.ui.addproduct.AddProductActivity
import com.xx.xxviewlibrary.base.xxBaseRecyclerViewAdapter

class ProductListAdapter(context:Context,var viewModel:ProductManagerViewModel): xxBaseRecyclerViewAdapter<ItemProductListBinding, ProductListBean>(context) {
    override fun initLayout(): Int {
        return R.layout.item_product_list
    }

    override fun covert(dataBind: ItemProductListBinding?, data: ProductListBean?, position: Int) {
       dataBind?.data=data;
        dataBind?.viewModel=viewModel;

        when(data?.status){
            "1"->initBtn(dataBind!!, View.VISIBLE, View.VISIBLE, View.VISIBLE, View.GONE, View.GONE, View.VISIBLE)
            "2"->initBtn(dataBind!!, View.GONE, View.GONE, View.GONE, View.GONE, View.GONE, View.GONE)
            "3"->initBtn(dataBind!!, View.GONE, View.GONE, View.GONE, View.VISIBLE, View.GONE, View.VISIBLE)
            "4"->initBtn(dataBind!!, View.VISIBLE, View.VISIBLE, View.GONE, View.GONE, View.VISIBLE, View.VISIBLE)
            "5"->initBtn(dataBind!!, View.VISIBLE, View.VISIBLE, View.VISIBLE, View.GONE, View.GONE, View.VISIBLE)
        }

        dataBind?.btnIplEdit?.setOnClickListener()
        {
//            val bundle:Bundle=Bundle();
            var intent:Intent= Intent(mContext,AddProductActivity::class.java);
            intent.putExtra("goodsId",data?.businessId)
            mContext.startActivity(intent)

        }


    }

    fun initBtn(dataBind: ItemProductListBinding,edit:Int,delete:Int,submit:Int,out:Int,shelf:Int,line:Int)
    {
        dataBind.btnIplEdit.visibility=edit
        dataBind.btnIplDelete.visibility=delete
        dataBind.btnIplOut.visibility=out
        dataBind.btnIplShelf.visibility=shelf
        dataBind.btnIplSubmit.visibility=submit
        dataBind.vIplLine.visibility=line
    }

}