package com.xx.merchanthbh.ui.recruitment;

import android.content.Intent;
import android.os.Bundle;
import android.util.Log;

import com.xx.merchanthbh.R;
import com.xx.merchanthbh.data.http.requst.RecruitmentRequest;
import com.xx.merchanthbh.databinding.ActivityJobDetailBinding;

import me.goldze.mvvmhabit.base.BaseActivity;
import me.tatarka.bindingcollectionadapter2.BR;

public class JobDetailActivity extends BaseActivity<ActivityJobDetailBinding,JobDetailViewModel> {
    /*招聘id,为了详情页通过id获取信息*/
    String businessId;

    @Override
    public int initContentView(Bundle savedInstanceState) {
        return R.layout.activity_job_detail;
    }

    @Override
    public int initVariableId() {
        return BR.jobDetailViewModel;
    }

    @Override
    public void initParam() {
        super.initParam();
        /*获取列表页传过来的参数*/
        businessId = getIntent().getStringExtra("businessId");
         }

    @Override
    public void initData() {
        super.initData();
        /*给viewmodel传值的business设置值*/
        /*报错行!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!*/
        viewModel.businessId = businessId;
        /*调接口*/
        viewModel.getJobInformationDetailById();

    }
    /*activity调用选中文件后的方法*/
    @Override
    protected void onActivityResult(int requestCode, int resultCode, Intent data) {
        super.onActivityResult(requestCode, resultCode, data);
        if (viewModel != null) {
            viewModel.onActivityResult(requestCode, resultCode, data);
        }
    }
    @Override
    public JobDetailViewModel initViewModel() {
        RecruitmentRequest lm = new RecruitmentRequest();
        return new JobDetailViewModel(getApplication(), lm,this);
    }
}
