package com.xx.merchanthbh.ui.share

import android.os.Bundle
import com.xx.merchanthbh.BR
import com.xx.merchanthbh.R
import com.xx.merchanthbh.data.http.requst.ShareRequest
import com.xx.merchanthbh.databinding.ActivityShareListBinding
import com.xx.merchanthbh.dialog.ShareFiltrateDialog
import com.xx.xxviewlibrary.base.xxBaseDialog
import me.goldze.mvvmhabit.base.BaseActivity

class ShareActivity:BaseActivity<ActivityShareListBinding,ShareViewModel>() {
    override fun initContentView(savedInstanceState: Bundle?): Int {
       return R.layout.activity_share_list
    }

    override fun initVariableId(): Int {
        return BR.viewModel
    }

    override fun initData() {
        super.initData()
        viewModel.adapter=ShareTotalAdapter(this)
        binding.rvShareList.adapter=viewModel.adapter
        viewModel.getShareTotalList("")
        viewModel.geAssistantList()


        binding.llAslFiltrate.setOnClickListener(){
            val dialog = ShareFiltrateDialog(this,viewModel.personList,viewModel.personSelectList)
            dialog.setDialogClickListener(xxBaseDialog.onDialogClickListener<String>()
            {
                    code, data ->

                viewModel.personSelectList=dialog.selectList
                viewModel.getShareTotalList(data)
                dialog.dismiss()

            })

            dialog.show()
        }
    }

    override fun initViewModel(): ShareViewModel? {
        val lm = ShareRequest()
        return ShareViewModel(application, lm)
    }
}