package com.xx.merchanthbh.ui.userinfo

import android.os.Bundle
import android.widget.RadioGroup
import com.xx.merchanthbh.BR
import com.xx.merchanthbh.R
import com.xx.merchanthbh.data.http.requst.UserInfoRequst
import com.xx.merchanthbh.databinding.ActivityUserInfoBinding
import me.goldze.mvvmhabit.base.BaseActivity

class UserInfoActivity :BaseActivity<ActivityUserInfoBinding,UserInfoViewModel>() {
    override fun initContentView(savedInstanceState: Bundle?): Int {
        return R.layout.activity_user_info
    }

    override fun initVariableId(): Int {
       return BR.viewModel
    }

    override fun initData() {
        super.initData()
        if (viewModel.bean.sex.equals("0"))
        {
            binding.rbAuiOperateMan.isChecked=true
        }else{
            binding.rbAuiOperateWuman.isChecked=true
        }
        binding.rgAuiOperate.setOnCheckedChangeListener(RadioGroup.OnCheckedChangeListener { radioGroup, i ->
            if (i==R.id.rb_aui_operate_man)
            {
                viewModel.bean.sex="0"
            }else if (i==R.id.rb_aui_operate_wuman){
                viewModel.bean.sex="1"
            }
        })

    }

    override fun initViewModel(): UserInfoViewModel {
       val request:UserInfoRequst= UserInfoRequst()
        return UserInfoViewModel(getApplication(),request)
    }
}