package com.xx.merchanthbh.ui.web

import android.content.BroadcastReceiver
import android.content.Context
import android.content.Intent
import android.content.IntentFilter
import android.os.Bundle
import android.webkit.JavascriptInterface
import com.tencent.mm.opensdk.constants.ConstantsAPI
import com.tencent.mm.opensdk.openapi.WXAPIFactory
import com.xx.merchanthbh.BR
import com.xx.merchanthbh.R
import com.xx.merchanthbh.databinding.ActivityCommWebBinding
import me.goldze.mvvmhabit.base.BaseActivity
import wendu.dsbridge.DWebView


class CommWabActivity : BaseActivity<ActivityCommWebBinding, CommWebViewModel>() {

    override fun initParam() {
        super.initParam()

    }

    override fun initContentView(savedInstanceState: Bundle?): Int {
        return R.layout.activity_comm_web
    }

    override fun initVariableId(): Int {
        return BR.viewModel
    }

    override fun initData() {
        super.initData()

        binding.webComm.addJavascriptObject(WebApi(viewModel,this),null)

        viewModel.url=intent.getStringExtra("URL")
        binding.webComm.loadUrl(intent.getStringExtra("URL"))
        viewModel.title.set(intent.getStringExtra("title"))
        viewModel. activityName=intent.getStringExtra("activityName")
        // set debug mode
        DWebView.setWebContentsDebuggingEnabled(true)
        viewModel.api= WXAPIFactory.createWXAPI(this,"wx0f25d8c6bc282a16",true);
        viewModel.api.registerApp("wx0f25d8c6bc282a16")
        registerReceiver(object : BroadcastReceiver() {
            override fun onReceive(context: Context, intent: Intent) {

                // 将该app注册到微信
                viewModel.api.registerApp("wx0f25d8c6bc282a16")
            }
        }, IntentFilter(ConstantsAPI.ACTION_REFRESH_WXAPP))


        if( viewModel. activityName!=null)
        {
            binding.bar.setRightSrc(getDrawable(R.drawable.huodong_icon_fenxiang))
        }
    }


    fun getFilesss()
    {

        getFilesDir().getPath()
    }






}