package com.xx.merchanthbh.ui.web;

import android.Manifest;
import android.app.Activity;
import android.content.Context;
import android.content.pm.PackageManager;
import android.os.Environment;
import android.util.Log;
import android.webkit.JavascriptInterface;

import androidx.core.app.ActivityCompat;
import androidx.fragment.app.FragmentActivity;

import com.tbruyelle.rxpermissions3.RxPermissions;
import com.xx.merchanthbh.utils.RetrofitClient;
import com.xx.xxviewlibrary.base.AppManager;

import org.json.JSONException;
import org.json.JSONObject;

import me.goldze.mvvmhabit.utils.ToastUtils;

public class WebApi {
    public CommWebViewModel viewModel;
    public  Context context;
    RxPermissions rxPermissions;
    public WebApi(CommWebViewModel viewModel, FragmentActivity context)
    {
        this.viewModel=viewModel;

        this.context=context;
        rxPermissions=new RxPermissions(context);
    }

    @JavascriptInterface
    public String downloadInfo( Object msg) {
        JSONObject jsonObject = (JSONObject) msg;

        int permission = ActivityCompat.checkSelfPermission(context,
                Manifest.permission.READ_EXTERNAL_STORAGE);//缺少什么权限就写什么权限
        if (permission != PackageManager.PERMISSION_GRANTED) {
            // We don't have permission so prompt the user
            ActivityCompat.requestPermissions(AppManager.getAppManager().currentActivity(), new String[]{Manifest.permission.READ_EXTERNAL_STORAGE,}, 0);
        }
        int permission2 = ActivityCompat.checkSelfPermission(context,
                Manifest.permission.WRITE_EXTERNAL_STORAGE);//缺少什么权限就写什么权限
        if (permission2 != PackageManager.PERMISSION_GRANTED) {
            // We don't have permission so prompt the user
            ActivityCompat.requestPermissions(AppManager.getAppManager().currentActivity(), new String[]{Manifest.permission.WRITE_EXTERNAL_STORAGE,}, 0);
        }
        else {
            try {
                String url = RetrofitClient.baseImgUrl + jsonObject.getString("informationAttachment").substring(jsonObject.getString("informationAttachment").indexOf("/")+1);

                viewModel.down(url, Environment.getExternalStoragePublicDirectory(Environment.DIRECTORY_DOWNLOADS).getPath()+"/"+ jsonObject.getString("informationAttachment").substring(
                        url.lastIndexOf("/")
                ));
            } catch (JSONException e) {
                throw new RuntimeException(e);
            }
        }






        return "dd";
    }

}
